#ifndef _KGR_PATCH_BSC1096740_H
#define _KGR_PATCH_BSC1096740_H

#if IS_ENABLED(CONFIG_X86_64) && IS_ENABLED(CONFIG_KVM)

int kgr_patch_bsc1096740_init(void);
void kgr_patch_bsc1096740_cleanup(void);

struct kvm_vcpu;
void kgr_kvm_put_guest_fpu(struct kvm_vcpu *vcpu);

#define KGR_PATCH_BSC1096740_FUNCS					\
	KGR_PATCH_OBJ(kvm_put_guest_fpu, kgr_kvm_put_guest_fpu,	\
		      "kvm"),						\


#else /* !(IS_ENABLED(CONFIG_X86_64) && IS_ENABLED(CONFIG_KVM)) */

static inline int kgr_patch_bsc1096740_init(void) { return 0; }
static inline void kgr_patch_bsc1096740_cleanup(void) {}

#define KGR_PATCH_BSC1096740_FUNCS

#endif /* IS_ENABLED(CONFIG_X86_64) && IS_ENABLED(CONFIG_KVM) */

#endif
